// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__B1FDCE24_9B1F_4B1A_AC37_9660DABAA6F1__INCLUDED_)
#define AFX_MAINFRM_H__B1FDCE24_9B1F_4B1A_AC37_9660DABAA6F1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChildView.h"
#include "ReadPage.h"
#include "XyzPage.h"
#include "BitmapPage.h"
#include "ViewPage.h"
#include "ObjectPage.h"
#include "WritePage.h"
#include "TransferPage.h"
#include "AlignPage.h"
#include "DefaultPage.h"
#include "DemPage.h"
#include "TextPage.h"
#include "EditPage.h"
#include "Convert1Page.h"
#include "Extrude2DPage.h"
#include "KerkytheaPage.h"
#include "KmlPage.h"
#include "PropBook.h"



class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	CChildView    m_wndView;
	CPropertySheet* m_PropBook;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  void Start_DLL(void);
  void Stop_DLL(void);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__B1FDCE24_9B1F_4B1A_AC37_9660DABAA6F1__INCLUDED_)
